Skip to main content

Custom App Integration

View as Markdown

Get GA

GET /api/2.0/accounts/{account_id}/oauth2/custom-app-integrations/{integration_id}

Gets the Custom OAuth App Integration for the given integration id.

API scopes: authentication

Parameters

account_idstringpath

The account ID.

integration_idstringpath

The OAuth app integration ID.

Response

integration_idstring

ID of this custom app

client_idstring

The client id of the custom OAuth app

redirect_urlsarray of string

List of OAuth redirect urls

namestring

The display name of the custom OAuth app

confidentialboolean

This field indicates whether an OAuth client secret is required to authenticate this client.

Default: false

token_access_policyobject

Token access policy

Show child attributesHide child attributes
access_token_ttl_in_minutesint32

access token time to live in minutes

Constraints: [ 5 .. 1440 ]

refresh_token_ttl_in_minutesint32

Refresh token time to live in minutes. When single-use refresh tokens are enabled, this represents the TTL of an individual refresh token. If the refresh token is used before it expires, a new one is issued with a renewed individual TTL.

Constraints: [ 5 .. 129600 ]

enable_single_use_refresh_tokensbooleanBeta

Whether to enable single-use refresh tokens (refresh token rotation). If this feature is enabled, upon successfully getting a new access token using a refresh token, <Databricks> will issue a new refresh token along with the access token in the response and invalidate the old refresh token. The client should use the new refresh token to get access tokens in future requests.

absolute_session_lifetime_in_minutesint32Beta

Absolute OAuth session TTL in minutes. Effective only when the single-use refresh token feature is enabled. This is the absolute TTL of all refresh tokens issued in one OAuth session. When a new refresh token is issued during refresh token rotation, it will inherit the same absolute TTL as the old refresh token. In other words, this represents the maximum amount of time a user can stay logged in without re-authenticating.

scopesarray of string
created_byint64
create_timestring
creator_usernamestring
user_authorized_scopesarray of string

Scopes that will need to be consented by end user to mint the access token. If the user does not authorize the access token will not be minted. Must be a subset of scopes.

List GA

GET /api/2.0/accounts/{account_id}/oauth2/custom-app-integrations

Get the list of custom OAuth app integrations for the specified <Account>

API scopes: authentication

Parameters

account_idstringpath
page_tokenstringquery
page_sizeint32query

Default: 100

include_creator_usernamebooleanquery

Response

appsarray of object

List of Custom OAuth App Integrations defined for the account.

Show child attributesHide child attributes
integration_idstring

ID of this custom app

client_idstring

The client id of the custom OAuth app

redirect_urlsarray of string

List of OAuth redirect urls

namestring

The display name of the custom OAuth app

confidentialboolean

This field indicates whether an OAuth client secret is required to authenticate this client.

Default: false

token_access_policyobject

Token access policy

Show child attributesHide child attributes
access_token_ttl_in_minutesint32

access token time to live in minutes

Constraints: [ 5 .. 1440 ]

refresh_token_ttl_in_minutesint32

Refresh token time to live in minutes. When single-use refresh tokens are enabled, this represents the TTL of an individual refresh token. If the refresh token is used before it expires, a new one is issued with a renewed individual TTL.

Constraints: [ 5 .. 129600 ]

enable_single_use_refresh_tokensbooleanBeta

Whether to enable single-use refresh tokens (refresh token rotation). If this feature is enabled, upon successfully getting a new access token using a refresh token, <Databricks> will issue a new refresh token along with the access token in the response and invalidate the old refresh token. The client should use the new refresh token to get access tokens in future requests.

absolute_session_lifetime_in_minutesint32Beta

Absolute OAuth session TTL in minutes. Effective only when the single-use refresh token feature is enabled. This is the absolute TTL of all refresh tokens issued in one OAuth session. When a new refresh token is issued during refresh token rotation, it will inherit the same absolute TTL as the old refresh token. In other words, this represents the maximum amount of time a user can stay logged in without re-authenticating.

scopesarray of string
created_byint64
create_timestring
creator_usernamestring
user_authorized_scopesarray of string

Scopes that will need to be consented by end user to mint the access token. If the user does not authorize the access token will not be minted. Must be a subset of scopes.

next_page_tokenstring

Create GA

POST /api/2.0/accounts/{account_id}/oauth2/custom-app-integrations

Create Custom OAuth App Integration.

You can retrieve the custom OAuth app integration via CustomAppIntegration/get.

API scopes: authentication

Parameters

account_idstringpath

Request body

redirect_urlsarray of string

List of OAuth redirect urls

namestring

Name of the custom OAuth app

confidentialboolean

This field indicates whether an OAuth client secret is required to authenticate this client.

Default: false

token_access_policyobject

Token access policy

Show child attributesHide child attributes
access_token_ttl_in_minutesint32

access token time to live in minutes

Constraints: [ 5 .. 1440 ]

refresh_token_ttl_in_minutesint32

Refresh token time to live in minutes. When single-use refresh tokens are enabled, this represents the TTL of an individual refresh token. If the refresh token is used before it expires, a new one is issued with a renewed individual TTL.

Constraints: [ 5 .. 129600 ]

enable_single_use_refresh_tokensbooleanBeta

Whether to enable single-use refresh tokens (refresh token rotation). If this feature is enabled, upon successfully getting a new access token using a refresh token, <Databricks> will issue a new refresh token along with the access token in the response and invalidate the old refresh token. The client should use the new refresh token to get access tokens in future requests.

absolute_session_lifetime_in_minutesint32Beta

Absolute OAuth session TTL in minutes. Effective only when the single-use refresh token feature is enabled. This is the absolute TTL of all refresh tokens issued in one OAuth session. When a new refresh token is issued during refresh token rotation, it will inherit the same absolute TTL as the old refresh token. In other words, this represents the maximum amount of time a user can stay logged in without re-authenticating.

scopesarray of string

OAuth scopes granted to the application. Supported scopes: all-apis, sql, offline_access, openid, profile, email.

user_authorized_scopesarray of string

Scopes that will need to be consented by end user to mint the access token. If the user does not authorize the access token will not be minted. Must be a subset of scopes.

Response

integration_idstring

Unique integration id for the custom OAuth app

client_idstring

OAuth client-id generated by the <Databricks>

client_secretstring

OAuth client-secret generated by the <Databricks>. If this is a confidential OAuth app client-secret will be generated.

Update GA

PATCH /api/2.0/accounts/{account_id}/oauth2/custom-app-integrations/{integration_id}

Updates an existing custom OAuth App Integration. You can retrieve the custom OAuth app integration via CustomAppIntegration/get.

API scopes: authentication

Parameters

account_idstringpath
integration_idstringpath

Request body

redirect_urlsarray of string

List of OAuth redirect urls to be updated in the custom OAuth app integration

token_access_policyobject

Token access policy to be updated in the custom OAuth app integration

Show child attributesHide child attributes
access_token_ttl_in_minutesint32

access token time to live in minutes

Constraints: [ 5 .. 1440 ]

refresh_token_ttl_in_minutesint32

Refresh token time to live in minutes. When single-use refresh tokens are enabled, this represents the TTL of an individual refresh token. If the refresh token is used before it expires, a new one is issued with a renewed individual TTL.

Constraints: [ 5 .. 129600 ]

enable_single_use_refresh_tokensbooleanBeta

Whether to enable single-use refresh tokens (refresh token rotation). If this feature is enabled, upon successfully getting a new access token using a refresh token, <Databricks> will issue a new refresh token along with the access token in the response and invalidate the old refresh token. The client should use the new refresh token to get access tokens in future requests.

absolute_session_lifetime_in_minutesint32Beta

Absolute OAuth session TTL in minutes. Effective only when the single-use refresh token feature is enabled. This is the absolute TTL of all refresh tokens issued in one OAuth session. When a new refresh token is issued during refresh token rotation, it will inherit the same absolute TTL as the old refresh token. In other words, this represents the maximum amount of time a user can stay logged in without re-authenticating.

scopesarray of string

List of OAuth scopes to be updated in the custom OAuth app integration, similar to redirect URIs this will fully replace the existing values instead of appending

user_authorized_scopesarray of string

Scopes that will need to be consented by end user to mint the access token. If the user does not authorize the access token will not be minted. Must be a subset of scopes.

Delete GA

DELETE /api/2.0/accounts/{account_id}/oauth2/custom-app-integrations/{integration_id}

Delete an existing Custom OAuth App Integration. You can retrieve the custom OAuth app integration via CustomAppIntegration/get.

API scopes: authentication

Parameters

account_idstringpath
integration_idstringpath